package com.jz.dm.gateway.gateway.impl;



import com.jz.dm.gateway.filter.FilterChain;
import com.jz.dm.gateway.filter.FilterChainFactory;
import com.jz.dm.gateway.gateway.GatewayService;
import com.jz.dm.gateway.model.GatewayRequest;
import com.jz.dm.gateway.model.GatewayResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 网关服务
 *
 */
@Service
public class GatewayServiceImpl implements GatewayService {

    @Autowired
    private FilterChainFactory filterChainFactory;

    @Override
    public GatewayResponse invoke(GatewayRequest gatewayRequest) {
        GatewayResponse gatewayResponse = new GatewayResponse();
        FilterChain filterChain = filterChainFactory.getFilterChain();
        filterChain.doFilter(gatewayRequest, gatewayResponse);
        return gatewayResponse;
    }
}
