package com.jz.dm.mall.moduls.controller.order;

import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.Constants;
import com.jz.dm.mall.moduls.controller.order.bean.OrderDto;
import com.jz.dm.mall.moduls.service.OrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * 订单表(TOrder)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:41
 */
@RestController
@RequestMapping("/order")
@Api(tags = "订单管理")
public class OrderController{
    /**
     * 服务对象
     */
    @Autowired
    private OrderService tOrderService;

    @PostMapping(value = "/list")
    @ApiOperation(value = "订单管理列表（分页查询）", notes = "订单列表（分页查询）")
    public PageInfoResponse<OrderDto> queryPageList(@RequestBody OrderDto OrderDto, HttpServletRequest req) throws Exception {
        PageInfoResponse<OrderDto> pageInfo = new PageInfoResponse<OrderDto>();
        try {
            pageInfo = tOrderService.findList(OrderDto, req);
        } catch (Exception e) {
            pageInfo.setMessage("查询失败");
            pageInfo.setCode(Constants.FAILURE_CODE);
            e.printStackTrace();
        }
/*        Result<IPage<OrderDto>> result = new Result<IPage<OrderDto>>();
        IPage<OrderDto> pageList = tOrderService.queryPage(new Page<OrderDto>(1, 2), order);
        result.setSuccess(true);
        result.setResult(pageList);*/
        return pageInfo;
    }
}