package com.jz.dm.mall.moduls.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.Constants;
import com.jz.dm.mall.moduls.controller.order.bean.OrderDto;
import com.jz.dm.mall.moduls.mapper.OrderDao;
import com.jz.dm.mall.moduls.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 订单表(TOrder)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
@Service("orderService")
@Transactional
public class OrderServiceImpl implements OrderService {

    @Autowired
    private OrderDao tOrderDao;

    @Override
    public PageInfoResponse<OrderDto> findList(OrderDto order, HttpServletRequest req) throws Exception{
        PageInfoResponse<OrderDto> pageInfoResponse = new PageInfoResponse<>();

        Map<String, Object> param = new HashMap<>();
        //数据商品id
        if (order.getOrderNumber() != null) {
            param.put("orderNumber", order.getOrderNumber());
        }
        //商品分类id（行业）
        if (order.getPurchaseMethod() != null) {
            param.put("purchaseMethod", order.getPurchaseMethod());
        }
       /* //数据商户id
        if (order.getUserId() != null) {
            param.put("userId", order.getUserId());
        }
        //数据商品名称
        if (!StringUtils.isEmpty(order.getDataName())) {
            param.put("dataName", order.getDataName());
        }*/

        PageHelper.startPage(order.getPageNum(), order.getPageSize());
        List<OrderDto> list = tOrderDao.findList(param);
        PageInfo<OrderDto> pageInfo = new PageInfo<>(list);

        pageInfoResponse.setCode(Constants.SUCCESS_CODE);
        pageInfoResponse.setMessage("查询成功");
        pageInfoResponse.setData(pageInfo);
        return pageInfoResponse;
    }
}